using Toybox.WatchUi;
using Toybox.Graphics;
using Toybox.System;
using Toybox.Lang;
using Toybox.Application;
using Toybox.StringUtil;

using Application.Properties as applicationProperties;

class test1View extends WatchUi.WatchFace
{
	var settingsHaveChanged = false;
	
    function initialize()
    {
        WatchFace.initialize();
    }

    // Load your resources here
    function onLayout(dc)
    {
    }

	// called from the app when it is being ended
	function onStop()
	{
	}

    // Called when this View is brought to the foreground.
    // Restore the state of this View and prepare it to be shown. This includes loading resources into memory.
    function onShow()
    {
    }

    // Called when this View is removed from the screen (including the app ending).
    // Save the state of this View here. This includes freeing resources from memory.
    function onHide()
    {
	}

    // The user has just looked at their watch. Timers and animations may be started here.
    function onExitSleep()
    {
    }

    // Terminate any active timers and prepare for slow updates.
    function onEnterSleep()
    {
    }

	// Called by app when settings are changed by user
    function onSettingsChanged()
    {
    	settingsHaveChanged = true;		// set flag so onUpdate can handle this
    	
        WatchUi.requestUpdate();
	}
	
	function clearExportImportStrings()
	{
		applicationProperties.setValue("EP", "");
		applicationProperties.setValue("EF", "");
		applicationProperties.setValue("EG", "");
	}
	    
    // Update the view
    function onUpdate(dc)
    {
		//System.println("onUpdate");
    
		if (settingsHaveChanged)
		{
			//System.println("settingsHaveChanged");

			clearExportImportStrings();

			settingsHaveChanged = false;			// clear the flag now as it has been handled
		}

		var graphics = Graphics;

		dc.clearClip();
	    dc.setColor(graphics.COLOR_TRANSPARENT, graphics.COLOR_BLACK);
        dc.clear();
        
	    dc.setColor(graphics.COLOR_WHITE, graphics.COLOR_TRANSPARENT);
        dc.drawText(120, 120, graphics.FONT_SYSTEM_LARGE, "OK", graphics.TEXT_JUSTIFY_CENTER|graphics.TEXT_JUSTIFY_VCENTER);
    }

    // Handle the partial update event - not called during high power mode (glance active)
    function onPartialUpdate(dc)
    {
    }
}

//class TestDelegate extends WatchUi.WatchFaceDelegate
//{
//    function initialize()
//    {
//        WatchFaceDelegate.initialize();
//    }
//
//    // The onPowerBudgetExceeded callback is called by the system if the
//    // onPartialUpdate method exceeds the allowed power budget. If this occurs,
//    // the system will stop invoking onPartialUpdate each second, so we set the
//    // partialUpdatesAllowed flag here to let the rendering methods know they
//    // should not be rendering a second hand.
//    function onPowerBudgetExceeded(powerInfo)
//    {
//        //System.println("Average execution time: " + powerInfo.executionTimeAverage);
//        //System.println("Allowed execution time: " + powerInfo.executionTimeLimit);
//    }
//}
